Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688524 - Graphical artifact when switching to console VT from Xorg
Summary: Graphical artifact when switching to console VT from Xorg
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: xorg-x11-drivers
Version: 8.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Lyude
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1682066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 22:22 UTC by Porygon
Modified: 2019-04-09 17:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Porygon 2019-03-13 22:22:26 UTC
Version-Release number of selected component (if applicable):
RHEL-8.0.0-20190228.1

Steps to Reproduce: 
 1. Boot to runlevel 5 and log into GNOME
 2. Press Ctrl+Alt+F3 to go into VT
 3. Press Ctrl+Alt+F2 to go back to X.org
 4. Repeat steps 2 & 3 several times

Actual results: 
 1. Machine switches to VT fine, but more than half the time a mess of colour artifacts appear in the upper left of the screen

Expected results:
 1. Machine switches to VT smoothly with no flickering, artifacts

Comment 1 Tomas Pelka 2019-03-14 07:39:53 UTC
Is this issue HW specific or you can se it everywhere?

Comment 2 Porygon 2019-03-14 22:33:28 UTC
Glitch was encountered on T480s (Intel UHD Graphics 620)

I attempted to reproduce on a desktop machine with a GTX1050ti and did not produce the same results, so it is probably HW specific.

Comment 3 Lyude 2019-03-18 20:51:04 UTC
Note: this is likely a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1664104 (since that bug affects anything with a UHD 620 GPU, not just the P50
Another note: This should be fixed with the DRM backport for RHEL8.0 or 8.1


Note You need to log in before you can comment on or make changes to this bug.